# $Revision: 1.5 $, $Date: 2010/07/08 08:44:51 $
Summary:	Jabber/XMPP package for Python
Summary(pl.UTF-8):	Biblioteka Jabber/XMPP dla Pythona
Name:		python-xmpppy
Version:	0.4.1
Release:	3
License:	GPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/xmpppy/xmpppy-%{version}.tar.gz
# Source0-md5:	ca36d685643f2c56ab07323a09ece9e4
URL:		http://xmpppy.sourceforge.net/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a Python interface to XMPP and Jabber protocols.

%description -l pl.UTF-8
Ten pakiet udostępnia interfejs Pythona do protokołów XMPP i Jabber.

%prep
%setup -qn xmpppy-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%dir %{py_sitescriptdir}/xmpp
%{py_sitescriptdir}/xmpp/*.py[co]
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-xmpppy.spec,v $
Revision 1.5  2010/07/08 08:44:51  arekm
- release 3

Revision 1.4  2008/10/03 18:03:34  arekm
- release 2

Revision 1.3  2008-05-19 11:53:08  prism
- 0.4.1

Revision 1.2  2006-11-15 21:27:11  qboosh
- cosmetics

Revision 1.1  2006/11/06 21:54:38  wiget
- yet another Python module for XMPP
